export interface OperationPlanEventDataField {
  id: number,
  resourceId: string,
  name: string,
  startDate: Date,
  endDate: Date,
  type: string,
  eventColor: string
}

export interface OperationPlanShipDataField {
  id: string,
  name: string,
  startDate: Date,
  firstEventId: number,
  eventCount: number
}

export interface OperationPlan {
  resourceData: Array<OperationPlanShipDataField>,
  eventData: Array<OperationPlanEventDataField>,
  startDate: Date,
  endDate: Date
}
