export interface OperationPlanEventDataFieldBackend {
  id: number,
  resourceId: string,
  name: string,
  startTimeMilliseconds: number,
  endTimeMilliseconds: number,
  type: string,
  eventColor: string
}

export interface OperationPlanShipDataFieldBackend {
  id: string,
  name: string,
  startDate: string,
  firstEventId: number,
  eventCount: number
}

export interface OperationPlanBackend {
  resourceData: Array<OperationPlanShipDataFieldBackend>,
  eventData: Array<OperationPlanEventDataFieldBackend>,
  startDate: string,
  endDate: string
}
